# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = "trelloapi"
  spec.version       = "0.1.3"
  spec.authors       = ["Canic Interactive"]
  spec.email         = ["nenad.mucic@canicinteractive.com"]

  spec.summary       = %q{This is a copy of ruby-trello 2.0.0 with small changes (this git will be deleted on new wersion of ruby-trello)}
  spec.description   = %q{Copy of ruby-trello 2.0.0 (do not use in your project this will be deleted on original ruby-trello update 2.1.0)}
  spec.homepage      = "https://rubygems.org/gems/trelloapi"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "activemodel","~> 3.2"
  spec.add_runtime_dependency "addressable","~> 2.3"
  # spec.add_runtime_dependency "json",">= 0.0.0"
  spec.add_runtime_dependency "oauth",">= 0.4.5"
  spec.add_runtime_dependency "rest-client",">= 1.8.0"

  # spec.add_development_dependency "bundler", "~> 1.14"
  # spec.add_development_dependency "rake", "~> 10.0"
  # spec.add_development_dependency "rspec", "~> 3.0"
end
